*** expected/pgsql_fdw.out.orig	2012-02-13 19:52:03.000000000 +0900
--- expected/pgsql_fdw.out	2012-02-13 19:51:49.000000000 +0900
***************
*** 1,6 ****
--- 1,13 ----
  -- ===================================================================
  -- create FDW objects
  -- ===================================================================
+ -- Clean up in case a prior regression run failed
+ -- Suppress NOTICE messages when roles don't exist
+ SET client_min_messages TO 'error';
+ DROP ROLE IF EXISTS pgsql_fdw_user;
+ RESET client_min_messages;
+ CREATE ROLE pgsql_fdw_user LOGIN SUPERUSER;
+ SET SESSION AUTHORIZATION 'pgsql_fdw_user';
  CREATE EXTENSION pgsql_fdw;
  CREATE SERVER loopback1 FOREIGN DATA WRAPPER pgsql_fdw;
  CREATE SERVER loopback2 FOREIGN DATA WRAPPER pgsql_fdw
***************
*** 130,147 ****
  ALTER FOREIGN TABLE ft1 ALTER COLUMN c1 OPTIONS (colname 'C 1');
  ALTER FOREIGN TABLE ft2 ALTER COLUMN c1 OPTIONS (colname 'C 1');
  \dew+
!                                          List of foreign-data wrappers
!    Name    |  Owner   |      Handler      |      Validator      | Access privileges | FDW Options | Description 
! -----------+----------+-------------------+---------------------+-------------------+-------------+-------------
!  pgsql_fdw | postgres | pgsql_fdw_handler | pgsql_fdw_validator |                   |             | 
  (1 row)
  
  \des+
!                                                                                                                                                                                                                List of foreign servers
!    Name    |  Owner   | Foreign-data wrapper | Access privileges | Type | Version |                                                                                                                                                                     FDW Options                                                                                                                                                                     | Description 
! -----------+----------+----------------------+-------------------+------+---------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------------
!  loopback1 | postgres | pgsql_fdw            |                   |      |         | (authtype 'value', service 'value', connect_timeout 'value', dbname 'value', host 'value', hostaddr 'value', port 'value', tty 'value', options 'value', application_name 'value', keepalives 'value', keepalives_idle 'value', keepalives_interval 'value', sslmode 'value', sslcert 'value', sslkey 'value', sslrootcert 'value', sslcrl 'value') | 
!  loopback2 | postgres | pgsql_fdw            |                   |      |         | (dbname 'contrib_regression', fetch_count '2')                                                                                                                                                                                                                                                                                                      | 
  (2 rows)
  
  \deu+
--- 137,154 ----
  ALTER FOREIGN TABLE ft1 ALTER COLUMN c1 OPTIONS (colname 'C 1');
  ALTER FOREIGN TABLE ft2 ALTER COLUMN c1 OPTIONS (colname 'C 1');
  \dew+
!                                             List of foreign-data wrappers
!    Name    |     Owner      |      Handler      |      Validator      | Access privileges | FDW Options | Description 
! -----------+----------------+-------------------+---------------------+-------------------+-------------+-------------
!  pgsql_fdw | pgsql_fdw_user | pgsql_fdw_handler | pgsql_fdw_validator |                   |             | 
  (1 row)
  
  \des+
!                                                                                                                                                                                                                   List of foreign servers
!    Name    |     Owner      | Foreign-data wrapper | Access privileges | Type | Version |                                                                                                                                                                     FDW Options                                                                                                                                                                     | Description 
! -----------+----------------+----------------------+-------------------+------+---------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------------
!  loopback1 | pgsql_fdw_user | pgsql_fdw            |                   |      |         | (authtype 'value', service 'value', connect_timeout 'value', dbname 'value', host 'value', hostaddr 'value', port 'value', tty 'value', options 'value', application_name 'value', keepalives 'value', keepalives_idle 'value', keepalives_interval 'value', sslmode 'value', sslcert 'value', sslkey 'value', sslrootcert 'value', sslcrl 'value') | 
!  loopback2 | pgsql_fdw_user | pgsql_fdw            |                   |      |         | (dbname 'contrib_regression', fetch_count '2')                                                                                                                                                                                                                                                                                                      | 
  (2 rows)
  
  \deu+
***************
*** 349,354 ****
--- 356,362 ----
  (2 rows)
  
  DROP OPERATOR === (int, int) CASCADE;
+ DROP OPERATOR !== (int, int) CASCADE;
  DROP FUNCTION pgsql_fdw_abs(int);
  -- ===================================================================
  -- parameterized queries
***************
*** 490,498 ****
  -- connection management
  -- ===================================================================
  SELECT srvname, usename FROM pgsql_fdw_connections;
!   srvname  | usename  
! -----------+----------
!  loopback2 | postgres
  (1 row)
  
  SELECT pgsql_fdw_disconnect(srvid, usesysid) FROM pgsql_fdw_get_connections();
--- 498,506 ----
  -- connection management
  -- ===================================================================
  SELECT srvname, usename FROM pgsql_fdw_connections;
!   srvname  |    usename     
! -----------+----------------
!  loopback2 | pgsql_fdw_user
  (1 row)
  
  SELECT pgsql_fdw_disconnect(srvid, usesysid) FROM pgsql_fdw_get_connections();
***************
*** 509,514 ****
--- 517,526 ----
  -- ===================================================================
  -- cleanup
  -- ===================================================================
+ DROP SCHEMA "S 1" CASCADE;
+ NOTICE:  drop cascades to 2 other objects
+ DETAIL:  drop cascades to table "S 1"."T 1"
+ drop cascades to table "S 1"."T 2"
  DROP EXTENSION pgsql_fdw CASCADE;
  NOTICE:  drop cascades to 6 other objects
  DETAIL:  drop cascades to server loopback1
***************
*** 517,519 ****
--- 529,533 ----
  drop cascades to user mapping for public
  drop cascades to foreign table ft1
  drop cascades to foreign table ft2
+ \c
+ DROP ROLE pgsql_fdw_user;
